#include <iostream>
using namespace std;

int main()
{
   int n, i;
   cin >> n;
   int niz[n];
   bool ok = false;
   for(i = 0; i < n; i++) cin >> niz[i];
   int pozicija[20]; for(i = 0; i < 20; i++) pozicija[i] = -1;
   for(i = n-1; i >= 0; i--)
   {
       if(pozicija[niz[i]] == -1) pozicija[niz[i]] = i;
       else pozicija[niz[i]+10] = i;
   }
   for(i = 0; i < n; i++)
   {
            for(int k = 9; k > niz[i]; k--)
            {
                if(pozicija[k] > i)
                {
                    int p = niz[i];
                    niz[i] = k;
                    niz[pozicija[k]] = p;
                    i = n;
                    k = 0;
                    ok = true;
                }
            }
   }
   if(!ok)
   {
       for(i = 10; i < 20; i++)
       {
           if(pozicija[i] != -1)
            {
                i = 20;
                ok = true;
            }
       }
   }
   if(!ok)
   {
                i = n-2;
                int p = niz[i];
                niz[i] = niz[i+1];
                niz[i+1] = p;
   }
   
   for(i = 0; i < n; i++) cout << niz[i] << " ";
    return 0;
}